package com.logicbig.example.bean;

import org.springframework.beans.factory.annotation.Autowired;
import jakarta.annotation.PostConstruct;

public class EventListener {
    @Autowired
    private EventManager eventManager;

    @PostConstruct
    private void initialize() {
        System.out.println("initializing: "+this.getClass().getSimpleName());
        eventManager.addListener(s ->
                System.out.println("event received in EventListenerBean : " + s));

    }
}